namespace Netina.Domain.Entities.ProductCategories;

public partial class ProductCategoryStorageFile : StorageFile
{
    public ProductCategoryStorageFile()
    {
        
    }

    public ProductCategoryStorageFile(string name, string fileLocation, string fileName, bool isHeader, bool isPrimary, StorageFileType fileType, Guid categoryId) :
        base(name, fileLocation, fileName, isHeader, isPrimary, fileType)
    {
        CategoryId = categoryId;
    }
    public Guid CategoryId { get; internal set; }
    public ProductCategory? Category { get; internal set; }
}